﻿using Infragistics.Win.UltraWinTabbedMdi;

namespace Infragistics_TabbedMdiTest
{
    public static class FormUtils
    {
        public static void Reopen(ChildForm form, MdiForm parentForm)
        {
            MdiTabGroup group = null;

            {
                MdiTab tab = parentForm.ultraTabbedMdiManager1.TabFromForm(form);

                if (tab != null)
                    group = tab.TabGroup;
            }

            form.Close();

            var childForm = new ChildForm();
            childForm.MdiParent = parentForm;
            childForm.Show();

            if (group != null)
            {
                MdiTab tab = parentForm.ultraTabbedMdiManager1.TabFromForm(childForm);

                if (tab != null)
                    tab.MoveToGroup(group);
            }
        }
    }
}
